<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Service;
use App\Models\ServiceItem;
use App\Models\Blog;
use App\Models\Testimonial;
use Str;
use Stripe\Stripe;
use Stripe\Checkout\Session;

class GuestController extends Controller
{
    function index() {
        $blogs = Blog::latest()->limit(3)->get();
        $testimonials = Testimonial::latest()->limit(5)->get();
        return view('pages.index',compact('blogs','testimonials'));
    }

    function services() {
        $services = Service::orderBy('id', 'asc')->get();
        return view('pages.services', compact('services'));
    }

    function about() {
        return view('pages.about');
    }

    function contact() {
        return view('pages.contact');
    }
    function blog() {
        $blogs = Blog::latest()->limit(3)->get();
        return view('pages.blog',compact('blogs'));
    }
    function article($slug) {
        $blog = Blog::where('slug',$slug)->first();
        $blogs = Blog::latest()->limit(3)->get();
        return view('pages.article',compact('blogs','blog'));
    }
    function submitForm(Request $request) {
        $name = $request->name;
        $email = $request->email;
        $message = $request->message;

        return redirect()->back();
    }

    function tou() {
        return view('pages.tou');
    }
    function privacy() {
        return view('pages.privacy');
    }
    function cookie() {
        return view('pages.cookie');
    }

    function service($slug) {
        $service = Service::where('slug', $slug)->First();
        $services = ServiceItem::where('service_id', $service->id)->orderBy('id', 'asc')->get();

        // $data = [ 'Landing Pages', 'Lead Magnets', 'White Papers','Case Studies','Social Media', 'Infographics', 'Giveaways', 'Blog Posts', 'PDF files', 'e-Books & More'];

        // $add = new ServiceItem();
        // $add->service_id = 1;
        // $add->name = 'Content Marketing';
        // $add->slug = Str::slug('Content Marketing');
        // $add->price = 1999;
        // $add->short_desc = 'Approximately 1.4 million blog posts get published every day. Likewise, 300 hours get uploaded on YouTube every single minute. Does it seem like a lot? Well, it doesn’t to users! While you’re reading this paragraph, millions of Instagram posts will get likes from followers.';
        // $add->meta_title = 'Content Marketing Services';
        // $add->meta_desc = 'Content Marketing is the king, the queen, the knight, the pawn and basically most of the tools you’ll need your chessboard in 2020. The only thing you need is the master strategists.';
        // $add->services = json_encode($data);
        // $add->save();

        return view('pages.service-details', compact('service', 'services'));
    }

    function serviceCheckout($serviceSlug, $itemslug) {
        $service = Service::where('slug', $serviceSlug)->First();
        $serviceItem = ServiceItem::where('slug', $itemslug)->First();

        return view('pages.service-checkout', compact('service', 'serviceItem'));
    }

    function servicePurchase($serviceSlug, $itemslug, Request $request) {

        $name = $request->name;
        $email = $request->email;

        $service = Service::where('slug', $serviceSlug)->First();
        $serviceItem = ServiceItem::where('slug', $itemslug)->First();

        // Stripe::setApiKey("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");
        Stripe::setApiKey("sk_test_51MqCJrSHIVPp8n3pAuf7xAmO0IJC0YKFaclzQf2eGHuqbOjB0zGKc7fzZj83ChQxFs1MiNCuLbCPfPmDAo9kCiSi00JYqQ6UVa");
        // Stripe::setApiKey("sk_test_51NaZ6mJV7ZIfmWKVUpUvaMnmv8Qcs9b9wOq6y9Fvh3DLXCxKQ8WlUorPyceDjdpIPL5S2SiaAtZLDMSbaYwAiVXH00cPPuuzsU");

        $customer = \Stripe\Customer::create([
            "email" => 'mekumarselvaraj@gmail.com',
            "name" => 'Kumar Devendra',
            'address' => [
                'line1' => '510 Townsend St',
                'postal_code' => '98140',
                'city' => 'San Francisco',
                'state' => 'CA',
                'country' => 'US',
            ],
        ]);

        $amount = $serviceItem->price;

        $paymentIntent = \Stripe\PaymentIntent::create([
            "amount" => $amount*100,
            "currency" => "usd",
            "customer" => $customer->id,
        ]);

        $session = Session::create([
            "invoice_creation" => ["enabled" => true],
            "line_items" => [
                [
                    "price_data" => [
                        "currency" => "usd",
                        "unit_amount" => $amount*100,
                        "product_data" => [
                            "name" => $service->name.' | '.$serviceItem->name,
                        ],
                    ],
                    "quantity" => 1,
                ],
            ],
            'billing_address_collection' => null,
            "customer" => $customer->id,
            "client_reference_id" => $paymentIntent->client_secret,
            "mode" => "payment",
            "success_url" => url( "/service/purchase/success" ),
            "cancel_url" => url("service/".$service->slug)
        ]);

        session()->put('sessionID', $session->id);
        session()->put('username', $name);
        session()->put('useremail', $email);
    
        return redirect($session->url);
    }

    function serviceCheckoutSuccess() {
        $userName = session()->get('username');
        $userEmail = session()->get('useremail');
        return view('pages.purhcase-success', compact('userName', 'userEmail'));
    }
}
