<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Testimonial;
use Illuminate\Support\Str; 

class TestimonialController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $testimonials = Testimonial::latest()->get();
        return view('admin.testimonials.index', compact('testimonials'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('admin.testimonials.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $testimonial = new Testimonial();
        $testimonial->name = $request->name;
        $testimonial->company = $request->company;
        $testimonial->testi = $request->testi;

        $testimonial->save();

        $notification=array(
            'message'=>'Testimonial Added Successfully.',
            'alert-type'=>'success'
        );

        return redirect()->route('admin.testimonial')->with($notification); 
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        $testimonial = Testimonial::findOrFail($id);
        return view('admin.testimonials.edit', compact('testimonial'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        $testimonial = Testimonial::findOrFail($id);
        $testimonial->name = $request->name;
        $testimonial->company = $request->company;
        $testimonial->testi = $request->testi;

        $testimonial->save();

        $notification=array(
            'message'=>'Testimonial Updated Successfully.',
            'alert-type'=>'success'
        );

        return redirect()->route('admin.testimonial')->with($notification); 
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        $testimonial = Testimonial::findOrFail($id);
        $testimonial->delete();

        $notification=array(
            'message'=>'Testimonial deleted Successfully.',
            'alert-type'=>'success'
        );

        return redirect()->route('admin.testimonial')->with($notification); 
    }
}
