@extends('layouts.admin')
@section('content')
@include('components.admin.header')
@include('components.admin.nav')
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <!-- start page title -->
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                            <h4 class="mb-sm-0">Add Testimonial</h4>
                            <div class="page-title-right">
                                <ol class="breadcrumb m-0">
                                    <li class="breadcrumb-item"><a href="{{ route('admin.home') }}">Dashboard</a></li>
                                    <li class="breadcrumb-item active">Add Testimonial</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <form action="{{ route('admin.store.testimonial') }}" method="POST" id="testimonialForm"
                    enctype="multipart/form-data">
                    @csrf
                    <div class="row">

                        <div class="col-lg-12">
                            <div class="card">
                                <div class="card-body">
                                    <div class="mb-3">
                                        <label class="form-label" for="project-title-input">Name</label>
                                        <input type="text" class="form-control" name="name" id="name"
                                            id="project-title-input" placeholder="Enter name">
                                        @error('name')
                                            <div class="alert alert-danger mt-2">{{ $message }}</div>
                                        @enderror
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="project-title-input">Company</label>
                                        <input type="text" class="form-control" name="company" id="company"
                                            id="project-title-input" placeholder="Enter Company">
                                        @error('company')
                                            <div class="alert alert-danger mt-2">{{ $message }}</div>
                                        @enderror
                                    </div>

                                    <div class="mb-3">
                                        <label class="form-label" for="project-title-input">Testimonial</label>
                                        <textarea name="testi" class="form-control" id="testi" rows="3"></textarea>
                                        @error('testi')
                                            <div class="alert alert-danger mt-2">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="text-end mb-4">
                                <button type="submit" class="btn btn-primary w-sm">Create</button>
                            </div>
                        </div>
                        <!--end col-->
                    </div>
                    <!--end row-->
                </form>
                <!-- end page title -->
            </div>
            <!-- container-fluid -->
        </div>
        @include('components.admin.footer')
    </div>
@endsection
