@extends('layouts.app')
@section('content')
@push('metas')
<title>{{$blog->meta_title}}</title>
<meta property="og:title" content="{{$blog->meta_title}}" />
<meta name="twitter:title" content="{{$blog->meta_title}}" />
<meta name="description" content="{{$blog->meta_desc}}" />
<meta property="og:description"  content="{{$blog->meta_desc}}" />
<meta name="twitter:description" content="{{$blog->meta_desc}}" />
<meta property="og:url" content="{{url('article/'.$blog->slug)}}" />
<link rel="canonical" href="{{url('article/'.$blog->slug)}}" />
<meta property="og:image" content="https://ik.imagekit.io/adsate/blogs/{{$blog->image}}" />
<meta property="og:image:alt" content="https://ik.imagekit.io/adsate/blogs/{{$blog->image}}" />
<meta property="fb:app_id" content="916682003074566" />
<meta property="og:image:width" content="1200" />
<meta property="og:image:height" content="630" />
<meta name="twitter:image"
   content="https://ik.imagekit.io/adsate/blogs/{{$blog->image}}&tr=w-1200%2Ch-675%2Cfo-auto" />
<meta property="og:locale" content="en" />
<meta property="og:type" content="website" />
<meta property="og:site_name" content="Adsate Network" />
<meta name="twitter:card" content="summary" />
<meta name="twitter:site" content="@adsatenetwork" />
<meta name="twitter:creator" content="@adsatenetwork" />
<meta property="article:publisher" content="https://www.facebook.com/templatebuffet" />
<meta name="author" content="Adsate Network" />
<meta name="publisher" content="Adsate Network" />
@endpush
<section id="single-post" class="pb-90 inner-page-hero blog-page-section">
   <div class="container">
      <div class="row justify-content-center">
         <!-- SINGLE POST CONTENT -->
         <div class="col-xl-10">
            <div class="post-content">
               <!--  SINGLE POST TITLE -->
               <div class="single-post-title text-center">
                  <!-- Title -->
                  <h1 class="s-46 w-700">{{$blog->name}}</h1>
                  <!-- Post Meta -->
                  <div class="blog-post-meta mt-35">
                     <ul class="post-meta-list ico-10">
                        <li>
                           <p class="p-md w-500">By Adsate</p>
                        </li>
                        <li class="meta-list-divider">
                           <p><span class="flaticon-minus"></span></p>
                        </li>
                        <li>
                           <p class="p-md">{{$blog->created_at->format('M d, Y')}}</p>
                        </li>
                     </ul>
                  </div>
               </div>
               <!-- END SINGLE POST TITLE -->
               <!-- SINGLE POST IMAGE -->
               <div class="blog-post-img py-50">
                  <img class="img-fluid r-16" src="https://ik.imagekit.io/adsate/blogs/{{$blog->image}}" alt="blog-post-image">	
               </div>
               <!-- SINGLE POST TEXT -->
               <div class="single-post-txt">
                  {!! $blog->details !!}
               </div>
               <!-- END SINGLE POST TEXT -->
            </div>
         </div>
         <!-- END  SINGLE POST CONTENT -->
      </div>
      <!-- End row -->
   </div>
   <!-- End container -->
</section>
@endsection