@extends('layouts.app')
@section('content')
@push('metas')
<title>Adsate Network Blog - Digital Marketing Agency</title>
<meta property="og:title" content="Adsate Network Blog - Digital Marketing Agency" />
<meta name="twitter:title" content="Adsate Network Blog - Digital Marketing Agency" />
<meta name="description" content="As a business, the only way to stay ahead is to learn and evolve. Check out these blog posts to stay on top of trends for your small business." />
<meta property="og:description"  content="As a business, the only way to stay ahead is to learn and evolve. Check out these blog posts to stay on top of trends for your small business." />
<meta name="twitter:description" content="As a business, the only way to stay ahead is to learn and evolve. Check out these blog posts to stay on top of trends for your small business." />
<meta property="og:url" content="https://www.adsate.com/blog" />
<link rel="canonical" href="https://www.adsate.com/blog" />
<meta property="og:image" content="https://ik.imagekit.io/adsate/bg.jpg?updatedAt=1698147043202" />
<meta property="og:image:alt" content="https://ik.imagekit.io/adsate/bg.jpg?updatedAt=1698147043202" />
<meta property="fb:app_id" content="916682003074566" />
<meta property="og:image:width" content="1200" />
<meta property="og:image:height" content="630" />
<meta name="twitter:image"
    content="https://ik.imagekit.io/adsate/bg.jpg?updatedAt=1698147043202&tr=w-1200%2Ch-675%2Cfo-auto" />
<meta property="og:locale" content="en" />
<meta property="og:type" content="website" />
<meta property="og:site_name" content="Adsate Network" />
<meta name="twitter:card" content="summary" />
<meta name="twitter:site" content="@adsatenetwork" />
<meta name="twitter:creator" content="@adsatenetwork" />
<meta property="article:publisher" content="https://www.facebook.com/templatebuffet" />
<meta name="author" content="Adsate Network" />
<meta name="publisher" content="Adsate Network" />
@endpush
<section id="blog-page" class="pb-60 inner-page-hero blog-page-section">
   <div class="container">
      <!-- POSTS WRAPPER -->
      <div class="posts-wrapper">
         <div class="row">
            @foreach ($blogs as $blog)
            <!-- BLOG POST #1 -->
            <div class="col-md-6 col-lg-4">
               <div class="blog-post mb-40 wow fadeInUp clearfix">
                  <!-- BLOG POST IMAGE -->
                  <div class="blog-post-img mb-35">
                     <img class="img-fluid r-16" src="https://ik.imagekit.io/adsate/blogs/{{$blog->image}}?tr=w-412,h-275,cm-pad_resize,bg-F3F3F3,fo-center" alt="blog-post-image">
                  </div>
                  <!-- BLOG POST TEXT -->
                  <div class="blog-post-txt">
                     <!-- Post Link -->
                     <h6 class="s-20 w-700">
                        <a href="{{url('article/'.$blog->slug)}}">{{$blog->name}}
                        </a>
                     </h6>
                     <!-- Text -->
                     <p>{{$blog->meta_desc}}
                     </p>
                     <!-- Post Meta -->
                     <div class="blog-post-meta mt-20">
                        <ul class="post-meta-list ico-10">
                           <li>
                              <p class="p-sm w-500">By Adsate</p>
                           </li>
                           <li class="meta-list-divider">
                              <p><span class="flaticon-minus"></span></p>
                           </li>
                           <li>
                              <p class="p-sm">{{$blog->created_at->format('M d, Y')}}</p>
                           </li>
                        </ul>
                     </div>
                  </div>
                  <!-- END BLOG POST TEXT -->
               </div>
            </div>
            <!-- END BLOG POST #1 -->
            @endforeach
         </div>
      </div>
      <!-- END POSTS WRAPPER -->
   </div>
   <!-- End container -->	
</section>
@endsection