@extends('layouts.app') @section('content') 
@push('metas')
<title>Adsate Network - Digital Marketing Agency</title>
<meta property="og:title" content="Adsate Network - Digital Marketing Agency" />
<meta name="twitter:title" content="Adsate Network - Digital Marketing Agency" />
<meta name="description" content="Adsate Network offers solutions to help any business with any budget reach its target market and increase revenue with trackable data." />
<meta property="og:description"  content="Adsate Network offers solutions to help any business with any budget reach its target market and increase revenue with trackable data." />
<meta name="twitter:description" content="Adsate Network offers solutions to help any business with any budget reach its target market and increase revenue with trackable data." />
<meta property="og:url" content="https://www.adsate.com" />
<link rel="canonical" href="https://www.adsate.com" />
<meta property="og:image" content="https://ik.imagekit.io/adsate/bg.jpg?updatedAt=1698147043202" />
<meta property="og:image:alt" content="https://ik.imagekit.io/adsate/bg.jpg?updatedAt=1698147043202" />
<meta property="fb:app_id" content="916682003074566" />
<meta property="og:image:width" content="1200" />
<meta property="og:image:height" content="630" />
<meta name="twitter:image"
    content="https://ik.imagekit.io/adsate/bg.jpg?updatedAt=1698147043202&tr=w-1200%2Ch-675%2Cfo-auto" />
<meta property="og:locale" content="en" />
<meta property="og:type" content="website" />
<meta property="og:site_name" content="Adsate Network" />
<meta name="twitter:card" content="summary" />
<meta name="twitter:site" content="@adsatenetwork" />
<meta name="twitter:creator" content="@adsatenetwork" />
<meta property="article:publisher" content="https://www.facebook.com/templatebuffet" />
<meta name="author" content="Adsate Network" />
<meta name="publisher" content="Adsate Network" />
@endpush

@include('components.home.hero') @include('components.home.features')
<hr class="divider" />
@include('components.home.strategy') @include('components.subscribe') @include('components.home.roi') @include('components.home.socialmedia') @include('components.home.banner') @include('components.home.localseo')
@include('components.home.seo') @include('components.home.plan')
<section id="blog-1" class="pb-100 blog-section division">
    <div class="container">
        <!-- SECTION TITLE -->
        <div class="row justify-content-center">
            <div class="col-md-10 col-lg-9">
                <div class="section-title mb-70">
                    <!-- Title -->
                    <h2 class="s-50 w-700">Articles & Resources</h2>

                    <!-- Text -->
                    <p class="s-21 color--grey">Discover, Learn, and Explore: Your Journey Begins Here!</p>
                </div>
            </div>
        </div>

        <div class="row">
            @foreach ($blogs as $blog)
            <div class="col-md-6 col-lg-4">
                <div id="bp-1-1" class="blog-post wow fadeInUp">
                    <!-- BLOG POST IMAGE -->
                    <div class="blog-post-img mb-35">
                        <img class="img-fluid r-16" src="https://ik.imagekit.io/adsate/blogs/{{$blog->image}}?tr=w-412,h-275,cm-pad_resize,bg-F3F3F3,fo-center" alt="blog-post-image" />
                    </div>

                    <!-- BLOG POST TEXT -->
                    <div class="blog-post-txt">
                        <!-- Post Link -->
                        <h6 class="s-20 w-700">
                            <a href="{{url('article/'.$blog->slug)}}">{{$blog->name}}</a>
                        </h6>

                        <!-- Text -->
                        <p>{{$blog->meta_desc}}</p>

                        <!-- Post Meta -->
                        <div class="blog-post-meta mt-20">
                            <ul class="post-meta-list ico-10">
                                <li><p class="p-sm w-500">By Adsate</p></li>
                                <li class="meta-list-divider">
                                    <p><span class="flaticon-minus"></span></p>
                                </li>
                                <li><p class="p-sm">{{$blog->created_at->format('M d, Y')}}</p></li>
                            </ul>
                        </div>
                    </div>
                    <!-- END BLOG POST TEXT -->
                </div>
            </div>
            @endforeach
        </div>
        <!-- End row -->
    </div>
    <!-- End container -->
</section>

<section id="reviews-1" class="gr--whitesmoke pt-100 reviews-section">
    <div class="container">
        <!-- SECTION TITLE -->
        <div class="row justify-content-center">
            <div class="col-md-10 col-lg-9">
                <div class="section-title mb-80">
                    <!-- Title -->
                    <h2 class="s-50 w-700">Our Happy Customers</h2>

                    <!-- Text -->
                    <p class="s-21 color--grey">See What our customers are saying.</p>
                </div>
            </div>
        </div>

        <!-- TESTIMONIALS CONTENT -->
        <div class="row">
            <div class="col">
                <div class="owl-carousel owl-theme reviews-1-wrapper">
                    @foreach ($testimonials as $testimonial)
                    <div class="review-1 bg--white-100 block-shadow r-08">
                        <!-- Quote Icon -->
                        <div class="review-ico ico-65"><span class="flaticon-quote"></span></div>

                        <!-- Text -->
                        <div class="review-txt">
                            <!-- Text -->
                            <p>{{$testimonial->testi}}</p>

                            <!-- Author -->
                            <div class="author-data clearfix">
                                <!-- Avatar -->

                                <!-- Data -->
                                <div class="review-author">
                                    <h6 class="s-18 w-700">{{$testimonial->name}}</h6>
                                    <p class="p-sm">{{$testimonial->company}}</p>
                                </div>
                            </div>
                            <!-- End Author -->
                        </div>
                        <!-- End Text -->
                    </div>
                    @endforeach
                </div>
            </div>
        </div>
        <!-- END TESTIMONIALS CONTENT -->
    </div>
    <!-- End container -->
</section>
@endsection
