@extends('layouts.app')
@section('content')
@push('metas')
<title>Adsate Network - Digital Marketing Agency</title>
<meta property="og:title" content="Adsate Network - Digital Marketing Agency" />
<meta name="twitter:title" content="Adsate Network - Digital Marketing Agency" />
<meta name="description" content="Adsate Network offers solutions to help any business with any budget reach its target market and increase revenue with trackable data." />
<meta property="og:description"  content="Adsate Network offers solutions to help any business with any budget reach its target market and increase revenue with trackable data." />
<meta name="twitter:description" content="Adsate Network offers solutions to help any business with any budget reach its target market and increase revenue with trackable data." />
<meta property="og:url" content="https://www.adsate.com/privacy-policy" />
<link rel="canonical" href="https://www.adsate.com/privacy-policy" />
<meta property="og:image" content="https://ik.imagekit.io/adsate/bg.jpg?updatedAt=1698147043202" />
<meta property="og:image:alt" content="https://ik.imagekit.io/adsate/bg.jpg?updatedAt=1698147043202" />
@endpush
<section id="terms-page" class="gr--whitesmoke pb-80 inner-page-hero division">
    <div class="container">
        <div class="row justify-content-center">	
            <div class="col-xl-10">


                <!-- INNER PAGE TITLE -->
                <div class="inner-page-title">
                    <h2 class="s-52 w-700">PRIVACY POLICY</h2>
                </div>


                <!-- TEXT BLOCK -->	
                <div class="txt-block legal-info">
                    <!-- Text -->
                    <p>This Privacy Policy informs you about the type of data collected through the ADSATE website (“Site”) and mobile application (“App”), and how we at ADSATE use, disclose, and protect that information.</p>

                    <!-- Text -->
                    <p>Applicability of this Privacy Notice
                    </p>

                    <!-- Title -->
                    <p>This Privacy Notice applies only to the information we collect on the Site (at www.livingproofcreative.com) and App, and not to any information that we collect through other methods or services, including websites owned or operated by our affiliates, vendors or partners.</p>

                    <!-- Text -->
                    <p>Information You Provide to Us
                    </p>

                    <p>We may collect and store personal information that you choose to voluntarily provide to us when you contact us, such as when you sign up or register an account. Personal information may include your name, residential or business address, email address, or phone number. We use the information you provide to send you the communications that you request. We may also use the information to communicate with you about other topics that we think may be of interest to you.</p>

                    <p>If you communicate with ADSATE through the “Contact Us” link on our Site, we may ask you for information such as your name, email address and telephone number so we can respond to your questions and comments. We may also use the information you provide so that we can communication with you about topics we think may be of interest to you.
                    </p>

                    <p>Information We Collect by Automated Means</p>

                    <p>We are committed to making your online experience with our Site and App informative and relevant. To achieve this, we collect certain information by automated means when you visit this Site, such as your IP address, the type of internet browser you are using, operating system, referring URLs, information on actions taken on the Site, how many users visited and dates and times of visits. By collecting this information, we learn how to best tailor our Site and App to our visitors. We collect this information by various means, as explained below.</p>

                    <p>Cookies</p>

                    <p>Cookies are bits of text that are placed on your computer’s hard drive or mobile device when you visit certain websites. Cookie technology holds information a site may need to personalize a visitor’s experience. Cookies may also be used for security purposes and to gather website statistical data, such as which pages are visited, what is downloaded, and the paths taken by visitors to our website as they move from page to page.</p>

                    <p>You do have control over cookies, and can refuse the use of cookies by selecting the appropriate settings on your browser. Note, however, that by not accepting or deleting the use of cookies, you may affect your experience and you may not be able to take full advantage of all features on this Site or App. Most browsers will tell you how to stop accepting new cookies, how to be notified when you receive a new cookie, and how to disable existing cookies. Please consult the “Help” section of your browser for more information.</p>

                    <p>Google Analytics</p>

                    <p>We may also use third-party solutions to conduct web analytics, such as Google Analytics. Google Analytics is a web analytics service provided by Google, Inc., which uses cookies to help analyze how users use this website. The information generated by the cookie about your use of this Site (such as your IP address, the URL visited, the date and time the page was viewed) will be transmitted and stored by Google on servers in the United States. Google will use this information to monitor your use of this Site, compiling reports on website activity for website operators and providing other services related to website activity and internet usage. Google may transfer this information to third parties where required by law, or where such third parties process information on Google’s behalf. For more information about Google’s privacy policy in respect of Google Analytics, please refer to http://www.google.com/analytics/learn/privacy.html. You may opt out of Google Analytics by visiting https://tools.google.com/dlpage/gaoptout?hl+en=GB.</p>

                    <p>How We Use the Information We Collect</p>

                    <p>We may use the information we obtain about you both to further our relationship with you and for other purposes, including to:
                        send you newsletters and/or industry updates;<br>process, evaluate and respond to your requests and inquiries;<br>verify your identity to ensure security for the other purposes listed here;<br>operate, evaluate and improve our business (including developing new services; managing our communications; learning about our visitors, analyzing our services, website and application; and facilitating the functionality of our website or application);<br>perform data analyses (including anonymisation of personal information);<br>enforce our Terms of Use;<br>comply with applicable legal requirements and industry standards and our policies</p>

                    <p>We may use personal information for other additional purposes. We will identify these additional purposes at the time of collection.</p>

                    <p>Sharing Information</p>

                    <p>We do not sell or otherwise disclose personal information we collect about you, except as described herein or otherwise disclose to you at the time the data is collected.</p>

                    <p>We may share information provided by our visitors to this Site and App with service providers we have retained to perform services on our behalf, including without limitation, hosting or operating this Site and App, carrying out your requests, responding to your inquiries, and analyzing data. We require these service providers by contract to appropriately safeguard the privacy and security of personal information they process on our behalf.</p>

                    <p>We may disclose information about you as compelled or required by law, to law enforcement authorities or other government officials, to protect or defend our legal rights, or in order to investigate, prevent or take action regarding illegal activities, suspected fraud, or violations for our Terms and conditions for using this Site and App or other applicable policies.
                    </p>

                    <p>We also reserve the right to transfer personal information we have about you in the event that we sell or transfer all or a portion of our business assets.</p>
                    
                    <p>Data Transfer</p>

                    <p>We may transfer the information we collect on this Site and App to other countries other than in which the information was originally collected. Those countries may not have the same data protection laws as the country in which you initially provided the information. When we transfer your information to other countries, we will protect that information as described in this Privacy Notice.</p>

                    <p>Security</p>
                    <p>The security of information is important to us, and we are committed to using reasonable measures to protect the personal information we may collect. However, due to the inherent open nature of the Internet, we cannot guarantee that communications between you and us or the information stored on this Site and App are absolutely secure.</p>

                    <p>Links to Other Websites</p>
                    <p>This Site may provide links to other websites for your convenience and information. These websites may operate independently from us. Linked sites may have their own privacy notices or policies, which we strongly encourage you to review to better understand their procedures for collecting, using and disclosing personal information. We are not responsible for the content of the linked websites, any use of these sites, or the privacy practices of these sites.</p>

                    <p>Children</p>
                    <p>This Site and App are not intended for children and we do not knowingly solicit personal data from or communicate with children under the age of 13. Further, this Site is not intended for incapacitated persons, and we do not knowingly solicit personal data from individuals who are incapacitated. If you become aware that your child, any child under your care, or a person otherwise not able to provide valid consent has provided us with information without a parent or guardian’s consent, please contact us as described below.</p>

                    <p>Access, Updates and Your Choices</p>
                    <p>You can tell us at any time not to send you marketing communications by email by clicking on the unsubscribe link within the marketing emails you receive from us or by contacting us as indicated below.</p>
                    <p>Subject to applicable law, you may have the right to request access to and receive information about the personal data we maintain about you, update and correct inaccuracies in your personal data and have the information modified or deleted, as appropriate. The right to access personal information may be limited in some circumstances by local law requirements. To update your information, ask us to remove you from our mailing lists or submit a request, please send your request to corpcomm@interpublic.com. For your protection, we may require proof of identity, including proper verification and confirmation that you are the individual entitled to request access, before providing information to you.</p>

                    <p>Consent</p>
                    <p>By using this Site, you consent to the processing of your personal information as described in this Privacy Notice.</p>

                    <p>Contacting Us</p>
                    
                    <!-- Text -->  
                    <p>If you have any questions or suggestions about this Terms of Service, do not hesitate to 
                        contact us at <a href="mailto:support@adsate.com" class="color--theme">support@adsate.com</a>
                    </p>

                    <p>Changes to this Privacy Notice</p>
                    <p>We reserve the right to change or add to this Privacy Notice from time to time and will post any revisions on this Site. We will indicate at the bottom of the Privacy Notice when it was most recently updated. We encourage you to check back often to review the latest version.
                        Privacy Notice Effective Date: November 9, 2017</p>


                </div>	<!-- END TEXT BLOCK -->	


            </div>
        </div>    <!-- End row -->
    </div>     <!-- End container -->
</section>
@endsection