@extends('layouts.app')
@section('content')
@push('metas')
<title>Adsate Network Services - Digital Marketing Agency</title>
<meta property="og:title" content="Adsate Network Services - Digital Marketing Agency" />
<meta name="twitter:title" content="Adsate Network Services - Digital Marketing Agency" />
<meta name="description" content="Looking to establish meaningful relationships with customers? Our social media management service provides custom strategies that drive real results." />
<meta property="og:description"  content="Looking to establish meaningful relationships with customers? Our social media management service provides custom strategies that drive real results." />
<meta name="twitter:description" content="Looking to establish meaningful relationships with customers? Our social media management service provides custom strategies that drive real results." />
<meta property="og:url" content="https://www.adsate.com/services" />
<link rel="canonical" href="https://www.adsate.com/services" />
<meta property="og:image" content="https://ik.imagekit.io/adsate/bg.jpg?updatedAt=1698147043202" />
<meta property="og:image:alt" content="https://ik.imagekit.io/adsate/bg.jpg?updatedAt=1698147043202" />
<meta property="fb:app_id" content="916682003074566" />
<meta property="og:image:width" content="1200" />
<meta property="og:image:height" content="630" />
<meta name="twitter:image"
    content="https://ik.imagekit.io/adsate/bg.jpg?updatedAt=1698147043202&tr=w-1200%2Ch-675%2Cfo-auto" />
<meta property="og:locale" content="en" />
<meta property="og:type" content="website" />
<meta property="og:site_name" content="Adsate Network" />
<meta name="twitter:card" content="summary" />
<meta name="twitter:site" content="@adsatenetwork" />
<meta name="twitter:creator" content="@adsatenetwork" />
<meta property="article:publisher" content="https://www.facebook.com/templatebuffet" />
<meta name="author" content="Adsate Network" />
<meta name="publisher" content="Adsate Network" />
@endpush
<section class="page-hero-section">
    <div class="page-hero-section-overlay bg--01 bg--scroll">
        <div class="container">
            <div class="row d-flex align-items-center">


                <!-- TEXT BLOCK -->	
                <div class="col-md-6">
                    <div class="txt-block left-column color--white wow fadeInRight">

                        <!-- Section ID -->	
                         <span class="section-id rounded-id bg--tra-white color--white">
                             Services
                         </span>	

                        <!-- Title -->	
                        <h2 class="s-56 w-700">Let's develop a digital business together</h2>

                        <!-- Text -->	
                        <p class="p-lg w-400">Adsate offers a range of digital marketing services, including web design, social media management, search engine optimization (SEO), content creation, branding, and online advertising. We specialize in helping businesses enhance their online presence and reach their target audience effectively.

                    </div>
                </div>	<!-- END TEXT BLOCK -->	


                <!-- IMAGE BLOCK -->
                <div class="col-md-6">
                    <div class="img-block right-column wow fadeInLeft">
                        <img class="img-fluid" src="images/img-18.png" alt="content-image">
                    </div>
                </div>


            </div>   <!-- End row -->
        </div>    <!-- End container -->
    </div>
    <!-- WAVE SHAPE BOTTOM -->	
    <div class="wave-shape-bottom">
        <svg xmlns="http://www.w3.org/2000/svg" viewbox="0 0 1440 170"><path fill="#fff" fill-opacity="1" d="M0,160L120,160C240,160,480,160,720,138.7C960,117,1200,75,1320,53.3L1440,32L1440,320L1320,320C1200,320,960,320,720,320C480,320,240,320,120,320L0,320Z"></path></svg>
    </div>
</section>

<section id="projects-1" class="inner-page-hero projects-section pb-60">
    <div class="container">


        <!-- SECTION TITLE -->	
        <div class="row justify-content-center">	
            <div class="col-md-10 col-lg-9">
                <div class="section-title mb-80">	

                    <!-- Title -->	
                    <h2 class="s-52 w-700">The Complete Solutions</h2>	

                    <!-- Text -->	
                    <p class="s-21 color--grey">Retain brand consistency from the first impression to cultivate lasting customer relationships</p>
                    
                </div>	
            </div>
        </div>


        <!-- PROJECTS WRAPPER -->
        <div class="projects-wrapper">
            <div class="row align-items-center row-cols-1 row-cols-md-2">


                @foreach ($services as $service)
                <!-- PROJECT #1 -->
                <div class="col">
                     <div id="pt-1-1" class="project-details">

                         <!-- Title -->
                         <h5 class="s-24">{{$service->name}}</h5>

                         <!-- Image -->
                         <div class="project-preview r-10">

                             <!-- Project Preview -->
                             <div class="hover-overlay"> 
                                <img class="img-fluid" src="{{$service->image}}" alt="{{$service->name}}">
                                <div class="item-overlay"></div>
                            </div>

                            <!-- Project Link -->
                            <div class="project-link ico-35 color--white">
                                <a href="{{url('service/'.$service->slug)}}" title="{{$service->name}}"><span class="flaticon-visibility"></span></a>
                            </div>

                        </div>

                    </div>
                </div>	<!-- END PROJECT #1 -->
                @endforeach

                


            </div>
        </div>	<!-- END PROJECTS WRAPPER -->


    </div>	   <!-- End container -->	
</section>

@include('components.home.socialmedia')
@endsection