@extends('layouts.app')
@section('content')
@push('metas')
<title>Adsate Network - Digital Marketing Agency</title>
<meta property="og:title" content="Adsate Network - Digital Marketing Agency" />
<meta name="twitter:title" content="Adsate Network - Digital Marketing Agency" />
<meta name="description" content="Adsate Network offers solutions to help any business with any budget reach its target market and increase revenue with trackable data." />
<meta property="og:description"  content="Adsate Network offers solutions to help any business with any budget reach its target market and increase revenue with trackable data." />
<meta property="og:image" content="https://ik.imagekit.io/adsate/bg.jpg?updatedAt=1698147043202" />
<meta property="og:image:alt" content="https://ik.imagekit.io/adsate/bg.jpg?updatedAt=1698147043202" />
@endpush
<section id="terms-page" class="gr--whitesmoke pb-80 inner-page-hero division">
    <div class="container">
        <div class="row justify-content-center">	
            <div class="col-xl-10">


                <!-- INNER PAGE TITLE -->
                <div class="inner-page-title">
                    <h2 class="s-52 w-700">Terms of Service</h2>
                    <p class="p-lg">This policy is effective as of 23th October {{now()->format('Y')}}</p>
                </div>


                <!-- TEXT BLOCK -->	
                <div class="txt-block legal-info">
                    <!-- Text -->
                    <p>ADSATE provides to you this website (“Web Site”) and mobile application (“App”) for your personal informational, educational and entertainment use. The following Terms of Use govern your access and use of this Web Site and App. Please read these Terms of Use carefully before using this Web Site or App. Also, specific terms and conditions may apply to specific Content (as defined below) on or available through this Web Site and App (the “Content”) and to specific content, data, materials, or information you may upload, submit and/or publish to the Web Site (“User Content”). Such specific terms may be in addition to these Terms of Use or, where and then only to the extent expressly specified, may supersede these Terms of Use.</p>

                    <!-- Text -->
                    <p>When used in these Terms of Use, “we” and “our” means ADSATE, and “you” and “your” refers to any individual, company or legal entity that accesses or otherwise uses this Web Site
                    </p>

                    <!-- Title -->
                    <p>1. Acceptance of Terms of Use</p>

                    <!-- Text -->
                    <p>By accessing, browsing or using this Web Site or App, you agree to be bound by these Terms of Use and all terms and conditions contained or referenced herein or any additional terms and conditions set forth on this Web Site or App. If you do NOT agree to all of these terms, you should NOT access or use this Web Site or App.
                    </p>

                    <p>2. Modification of Terms</p>

                    <p>These Terms of Use may be amended by ADSATE, in its sole discretion, at any time without notice to you. Such amended Terms of Use shall be effective upon posting. By continuing to access or use this Web Site or App, you will be deemed to have accepted such amendments. You are advised to regularly review any applicable terms and conditions. Other ADSATE web sites may have their own terms of use which apply to such websites.
                    </p>

                    <p>ADSATE reserves the right to discontinue or make changes or updates with respect to the Web Site and App or the Content of the Web Site and App at any time without notice.</p>

                    <p>3. Privacy Notice</p>

                    <p>Personal information provided through this Web Site or App shall be used in accordance with IPG’s Privacy Notice and these Terms of Use are subject to the Privacy Notice as posted on this Web Site.</p>

                    <p>4. Copyright and Trademarks</p>

                    <p>You acknowledge that all content on this Web Site and App, including the design, graphics, text, formatting, sounds, pictures, images, software, and other materials and information on this Website and App, and the selection and arrangement thereof (collectively, “Content”), are the property of ADSATE or its licensors, and are subject to and protected by United States and international copyright and other intellectual property laws and rights. All rights to Content not expressly granted in these Terms of Use are reserved to their respective intellectual property right owners. Except as expressly authorized in these Terms of Use or on the Web Site or App, you may not copy, reproduce, distribute, republish, download, perform, display, post, transmit, exploit, create derivative works or otherwise use any of the Content in any form or by any means, without the prior written authorization of ADSATE or the respective intellectual property rights owner. ADSATE authorizes you to view and download the Content only for personal, non-commercial use, provided that you keep intact all copyright and other proprietary notices contained in the original Content. You may not modify or adapt the Content in any way or otherwise use them for any public or commercial purposes. The trademarks, service marks, trade names, trade dress and logos (collectively, “Marks”) contained or described on this Web Site and App (including, without limitation, ADSATE) are the sole property of ADSATE and/or its licensors and may not be copied, imitated or otherwise used, in whole or in part, without the prior written authorization of ADSATE and/or its licensors. In addition, all page headers, custom graphics, button icons and scripts are Marks of ADSATE and may not be copied, imitated or otherwise used, in whole or in part, without the prior written authorization of ADSATE. ADSATE will enforce its intellectual property rights to the fullest extent of the law.</p>

                    <p>5. Links to Third Party Websites</p>

                    <p>Links on the Web Site or in the App to third party websites are provided only as a convenience to you. If you use these links, you will leave the Web Site or App. ADSATE does not control or endorse any such third party websites. You agree that ADSATE and its affiliates will not be responsible or liable for any content, goods or services provided on or through these outside websites or for your use or inability to use such websites. You will use these links at your own risk. You are advised that other websites on the Internet, including third party websites linked from this Web Site or App, might contain material or information that some people may find offensive or inappropriate; or that is inaccurate, untrue, misleading or deceptive; or that is defamatory, libelous, infringing of others’ rights or otherwise unlawful. ADSATE expressly disclaims any responsibility for the content, legality, decency or accuracy of any information, and for any products and services, that appear on any third party website. ADSATE recommends that you make yourself aware of and read the legal and privacy notices of all other websites that you visit.</p>

                    <p>6. Disclaimer of Warranties</p>

                    <p>IPG strives to provide accurate and up-to-date material on the Web Site and App. However, we make no warranties or representations as to the accuracy or timeliness of the Content on this Web Site or App.</p>

                    <p>YOUR USE OF THE WEB SITE AND APP IS AT YOUR SOLE RISK. THE WEB SITE AND APP AND THE CONTENT CONTAINED ON THIS WEB SITE AND APP ARE PROVIDED ON AN “AS IS” AND “AS AVAILABLE” BASIS. ADSATE EXPRESSLY DISCLAIMS ALL WARRANTIES OF ANY KIND, WHETHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ADSATE MAKES NO WARRANTY THAT (I) THE WEB SITE OR APP WILL MEET YOUR REQUIREMENTS, (II) THE WEB SITE OR APP WILL BE UNINTERRUPTED, TIMELY, SECURE, OR ERROR-FREE, (III) THE RESULTS THAT MAY BE OBTAINED FROM THE USE OF THE WEB SITE OR APP WILL BE ACCURATE OR RELIABLE, (IV) THE WEB SITE OR APP IS FREE FROM VIRUSES OR OTHER HARMFUL COMPONENTS, OR (V) ANY ERRORS IN THE WEB SITE OR APP WILL BE CORRECTED. ANY MATERIAL DOWNLOADED OR OTHERWISE OBTAINED THROUGH THIS WEB SITE IS PROVIDED AT YOUR OWN RISK, AND YOU ARE SOLELY RESPONSIBLE FOR ANY DAMAGE TO YOUR COMPUTER SYSTEM OR LOSS OF DATA THAT RESULTS FROM YOUR USE OF THE WEB SITE, INCLUDING WITHOUT LIMITATION, DAMAGES RESULTING FROM COMPUTER VIRUSES.</p>

                    <p>SOME JURISDICTIONS MAY NOT PERMIT CERTAIN DISCLAIMERS OF WARRANTIES, SO SOME OF THE EXCLUSIONS ABOVE MAY NOT APPLY TO YOU. IN SUCH JURISDICTIONS, WE DISCLAIM WARRANTIES TO THE FULLEST EXTENT PERMITTED BY APPLICABLE LAW.</p>

                    <p>7. Disclaimer of Damages and Limitation of Liability</p>

                    <p>NEITHER ADSATE OR ITS AFFILIATES SHALL UNDER ANY CIRCUMSTANCES BE LIABLE FOR ANY DAMAGES OF ANY KIND ARISING OUT OF, IN CONNECTION WITH OR RELATING TO YOUR ACCESS TO, OR USE OF OR INABILITY TO USE THIS WEB SITE AND APP OR ANY MATERIAL, OR ANY OTHER WEBSITE YOU ACCESS THROUGH A LINK FROM THIS WEB SITE OR APP, OR ANY INCORRECT OR INACCURATE INFORMATION ON THIS WEB SITE AND APP. THIS IS A COMPREHENSIVE LIMITATION OF LIABILITY THAT APPLIES TO ALL DAMAGES OF ANY KIND, INCLUDING ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES (INCLUDING BUT NOT LIMITED TO PROPOERTY DAMAGE, LOSS OF USE, LOSS OF DATA, LOSS OF BUSINESS, ECONOMIC LOSS OR LOSS OF PROFITS), WHETHER BASED ON BREACH OF CONTRACT, BREACH OF WARRANTY, TORT (INCLUDING NEGLIGENCE) OR OTHERWISE, EVEN IF IPG HAS BEEN ADVISED OF THE POSSIBLITY OF SUCH DAMAGE OR LOSS. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, YOU EXPRESSLY WAIVE ALL CLAIMS AGAINST IPG AND ITS AFFILIATES AND THEIR OFFICERS, DIRECTORS, EMPLOYEES, SUPPLIERS AND PROGRAMMERS THAT MAY ARISE FROM YOUR ACCESS OR USE OF THIS SITE OR APP.</p>

                    <p>8. Indemnification and Release</p>

                    <p>You agree to indemnify, defend and hold harmless ADSATE and its affiliates against all claims, demands, causes of action, losses, expenses, damages and costs, including any reasonable attorneys’ fees, resulting or arising from or relating to your use of or conduct on the Web Site and App, any activity related to use of the Web Site and App by you, any message or material that you submit to, post on or transmit through the Web Site or App, your violation of these Terms of Use, your infringement or violation of any rights of another, or termination of your access to the Web Site or App.</p>
                    
                    <p>If you have a dispute with one or more users, you release ADSATE and its affiliates from claims, demands and damages (actual and consequential) of every kind and nature, known and unknown, arising out of or in any way connected with such disputes.</p>

                    <p>9. No Unlawful or Prohibited Activity</p>

                    <p>As a condition of your use of this Web Site or App, you agree not to use the Web Site or App for any purpose that is unlawful or prohibited by these terms and conditions. You further agree that you are responsible for your use of and communications on the Web Site and App. You agree not to post on or transmit through this Web Site or App any unlawful, infringing, threatening, harassing, defamatory, vulgar, obscene, profane, indecent, offensive, hateful or otherwise objectionable material of any kind, including any material that encourages criminal conduct or conduct that would give rise to civil liability, violates the privacy rights of others, infringes others’ intellectual property rights or otherwise violates any applicable local, state, national or international law. You agree not to use this Web Site or App in any manner that interferes with its normal operation or with any other user’s use and enjoyment of the Site or App. You agree to use reasonable efforts to scan and remove any viruses or other contaminating or destructive features before submitting any material.</p>
                    <p>ADSATE reserves the right, in its sole discretion, to suspend or terminate your access to this Web Site or App and prohibit any and all current and future use of this Web Site or App (or any portion thereof) by you, if you fail to comply with any term or provision of these Terms of Use or your use is harmful to the interests of another user of this Web Site or App.</p>

                    <p>10. Shut-down of Web Site</p>
                    <p>ADSATE reserves the right at any time and from time to time to modify or discontinue, temporarily or permanently, the Web Site or App (or any part thereof) with or without notice or consent. ADSATE and its affiliates shall have no responsibility or liability for failure to store or delete any Content or User Content submitted to the Web Site or App.</p>

                    <p>11. Cautionary Language Regarding Forward-Looking Statements</p>
                    <p>The information on this Web Site and App, together with information filed and furnished to the Securities Exchange Commission (“SEC”) and any oral information provided by ADSATE executives that relate to ADSATE’s future performance or financial results are considered forward-looking statements. These forward-looking statements are no guarantee of future performance and actual results could materially differ from those contained in forward-looking statements. Examples of forward-looking statements include, without limitation, the ability of ADSATE to retain existing clients or attract new clients, developments from changes in the regulatory and legal environment for advertising agencies, and statements about our strategy. By their nature, forward-looking statements involve risks and uncertainties, and are subject to, among other items, domestic and global economic and business conditions. All forward-looking statements should be read in conjunction with the additional risks and factors set forth in our documents filed with or furnished to the SEC, including our most recent Form 10-K. Any forward-looking statements made by or on our behalf speak only as of the date they were made, and ADSATE undertakes no obligation to update or revise any forward-looking statements. The reader should carefully check the dates of issuance of the material contained on this Web Site and App. No information contained on this Web Site or App constitutes, or would be deemed to constitute, an offer to buy or sell nor a solicitation of an offer to buy or sell in the shares of ADSATE or its affiliates.</p>

                    <p>12. Governing Law and Dispute Resolution</p>
                    <p>These Terms of Use shall be governed by, and construed in accordance with, the laws of the United States and the State of New York, without giving effect to conflicts of law principles thereof. ADSATE makes no representations that the material and information on this Web Site or App are appropriate or available in all national locations or languages. You agree that any action at law or in equity arising from or relating to the use of this Web Site and App or to these Terms of Use shall be brought exclusively in the Federal or State Courts residing in New York. You hereby consent and submit to personal jurisdiction in of such courts for the purposes of any action relating to this Web Site and App, your access or use thereof, or these Terms of Use, and to extra-territorial service of process.</p>
                    <p>The material and information provided through this Web Site and App are directed to and intended for United States users only. ADSATE makes no representation that Content contained on the Site or App is appropriate or available for use in jurisdictions outside the United States. Visitors who use the Web Site and reside outside the United States do so on their own initiative and are responsible for compliance with all laws, if and to the extent local laws are applicable. You agree that you will not access this Web Site or App from any territory where its contents are illegal, and that you, and not ADSATE and its affiliates, are responsible for compliance with applicable local laws.</p>

                    <p>13. Sever Ability</p>
                    <p>If any provision of these Terms of Use is held to be unlawful, void, or for any reason unenforceable by a court of competent jurisdiction, then the invalid or unenforceable provision shall be replaced by a valid, enforceable provision that most closely matches the intent of the original provision, and the validity and enforceability of any remaining provisions shall not be affected.</p>

                    <p>14. No Waiver</p>
                    <p>The failure of ADSATE and its affiliates to enforce any part of these Terms of Use shall not constitute a waiver of such term or provision, and shall not be considered a waiver or limit IPG’s right thereafter to insist upon strict adherence to that term or any other provision of these Terms of Use.</p>
                    <p>Last Update: November 2017</p>

                    <!-- Title -->
                    <h4 class="s-30 w-700"><span>9.</span> How to Contact Us</h4>	

                    <!-- Text -->  
                    <p>If you have any questions or suggestions about this Terms of Service, do not hesitate to 
                        contact us at <a href="mailto:support@adsate.com" class="color--theme">support@adsate.com</a>
                    </p>


                </div>	<!-- END TEXT BLOCK -->	


            </div>
        </div>    <!-- End row -->
    </div>     <!-- End container -->
</section>
@endsection