<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

use App\Models\Platform;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::get('/platforms', function (Request $request) {

    $platforms = Platform::get();

    return $platforms;
});

Route::get('/platform/{slug}', function (Request $request, $slug) {

    $platform = Platform::where('slug', $slug)
    ->with(['purchaseTypes' => function ($query) {
        $query->select('id', 'name', 'platform_id');
        $query->with(['pricings' => function ($query) {
            $query->select('id', 'quantity', 'price', 'purchase_type_id');
        }]);
    }])->first();

    return $platform;
});
